Loading...
Searching...
No Matches
RDKit::MolStandardize::FragmentCatalogParams Class Reference

`#include <FragmentCatalogParams.h>`

Inheritance diagram for RDKit::MolStandardize::FragmentCatalogParams:

## Public Member Functions

| FragmentCatalogParams ()
| FragmentCatalogParams (const std::string &fgroupFile)
| FragmentCatalogParams (std::istream &fgroupStream)
| FragmentCatalogParams (const std::vector< std::pair< std::string, std::string > > &data)
| FragmentCatalogParams (const FragmentCatalogParams &other)
| ~FragmentCatalogParams () override
unsigned int | getNumFuncGroups () const
const std::vector< std::shared_ptr< ROMol > > & | getFuncGroups () const
const ROMol * | getFuncGroup (unsigned int fid) const
void | toStream (std::ostream &) const override
| serializes (pickles) to a stream
std::string | Serialize () const override
| returns a string with a serialized (pickled) representation
void | initFromStream (std::istream &ss) override
| initializes from a stream pickle
void | initFromString (const std::string &text) override
| initializes from a string pickle
Public Member Functions inherited from RDCatalog::CatalogParams
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string
void | setTypeStr (const std::string &typeStr)
| sets our type string

## Additional Inherited Members

Protected Attributes inherited from RDCatalog::CatalogParams
std::string | d_typeStr
| our type string

## Detailed Description

Definition at line 25 of file FragmentCatalogParams.h.

## Constructor & Destructor Documentation

## FragmentCatalogParams() [1/5]

RDKit::MolStandardize::FragmentCatalogParams::FragmentCatalogParams | ( |  | ) |

inline

Definition at line 28 of file FragmentCatalogParams.h.

## FragmentCatalogParams() [2/5]

RDKit::MolStandardize::FragmentCatalogParams::FragmentCatalogParams | ( | const std::string & | fgroupFile | ) |

## FragmentCatalogParams() [3/5]

RDKit::MolStandardize::FragmentCatalogParams::FragmentCatalogParams | ( | std::istream & | fgroupStream | ) |

## FragmentCatalogParams() [4/5]

RDKit::MolStandardize::FragmentCatalogParams::FragmentCatalogParams | ( | const std::vector< std::pair< std::string, std::string > > & | data | ) |

## FragmentCatalogParams() [5/5]

RDKit::MolStandardize::FragmentCatalogParams::FragmentCatalogParams | ( | const FragmentCatalogParams & | other | ) |

## ~FragmentCatalogParams()

RDKit::MolStandardize::FragmentCatalogParams::~FragmentCatalogParams | ( |  | ) |

override

## Member Function Documentation

## getFuncGroup()

const ROMol * RDKit::MolStandardize::FragmentCatalogParams::getFuncGroup | ( | unsigned int | fid | ) | const

## getFuncGroups()

const std::vector< std::shared_ptr< ROMol > > & RDKit::MolStandardize::FragmentCatalogParams::getFuncGroups | ( |  | ) | const

## getNumFuncGroups()

unsigned int RDKit::MolStandardize::FragmentCatalogParams::getNumFuncGroups | ( |  | ) | const

inline

Definition at line 42 of file FragmentCatalogParams.h.

## initFromStream()

void RDKit::MolStandardize::FragmentCatalogParams::initFromStream | ( | std::istream & | ss | ) |

override virtual

initializes from a stream pickle

Implements RDCatalog::CatalogParams.

## initFromString()

void RDKit::MolStandardize::FragmentCatalogParams::initFromString | ( | const std::string & | text | ) |

override virtual

initializes from a string pickle

Implements RDCatalog::CatalogParams.

## Serialize()

std::string RDKit::MolStandardize::FragmentCatalogParams::Serialize | ( |  | ) | const

override virtual

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogParams.

## toStream()

void RDKit::MolStandardize::FragmentCatalogParams::toStream | ( | std::ostream & |  | ) | const

override virtual

serializes (pickles) to a stream

Implements RDCatalog::CatalogParams.

The documentation for this class was generated from the following file:

- FragmentCatalogParams.h